#### D.15.2.1 poshull

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  poshull(L); L list

Return:
  the cone generated by the integer vectors in L

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    intvec v1 = 1,1;
    intvec v2=1,2;
    def c = poshull(list(v1,v2));
    c;
    ==> AMBIENT_DIM
    ==> 2
    ==> FACETS
    ==> -1, 1,
    ==>  2,-1
    ==> LINEAR_SPAN
    ==>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.